Iloo

https://iloo.wordpress.com

Arch: error al actualizar xf86-video-intel / intel-dri

Arch-Linux

Hoy al actualizar Arch, obtengo lo siguiente en la consola:

...
xf86-video-intel: /usr/lib/libI810XvMC.so exists in filesystem
xf86-video-intel: /usr/lib/libI810XvMC.so.1 exists in filesystem
xf86-video-intel: /usr/lib/libI810XvMC.so.1.0.0 exists in filesystem
xf86-video-intel: /usr/lib/libIntelXvMC.so exists in filesystem
xf86-video-intel: /usr/lib/libIntelXvMC.so.1 exists in filesystem
xf86-video-intel: /usr/lib/libIntelXvMC.so.1.0.0 exists in filesystem
...

Después de realizar algunas configuraciones reinicio y el problema, no arranca el entorno grafico.

La salida que se muestra es la siguiente:

...
Loading extension GLX
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error

Imagino que debe ser alguna dependencia al actualizar algunas paquetes, procedo a reinstalar xf86-video-intel e intel-dri y la misma salida anterior.

La solución, primero verificar los archivos que producen el error, verificar que no pertenezcan a ningón otro paquete:

pacman -Qo /usr/lib/libI810XvMC.so

Una vez verificado que no pertenece a ninguno se procede a borrarlo

rm /usr/lib/libI810XvMC.so

Y volver a instalar los paquetes en cuestion:

pacman -S xf86-video-intel intel-dri

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s